The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

libmysqlclient.so.15

Discussion in 'General Discussion' started by sardelich, Apr 28, 2010.

  1. sardelich

    sardelich Well-Known Member

    Joined:
    Apr 28, 2010
    Messages:
    72
    Likes Received:
    1
    Trophy Points:
    8
    During recent update I am getting following error screen:

    > Updating system packages...Loaded plugins: fastestmirror
    > Loading mirror speeds from cached hostfile
    > * rpmforge: ftp-stud.fht-esslingen.de
    > Excluding Packages in global exclude list
    > Finished
    > Setting up Update Process
    > Resolving Dependencies
    > --> Running transaction check
    > ---> Package cadaver.i386 0:0.22.5-1.el5.rf set to be updated
    > ---> Package dnsmasq.i386 0:2.51-1.el5.rf set to be updated
    > ---> Package lftp.i386 0:4.0.6-1.el5.rf set to be updated
    > ---> Package memtest86+.i386 0:4.00-1.el5.rf set to be updated
    > ---> Package mtr.i386 2:0.75-1.el5.rf set to be updated
    > ---> Package nmap.i386 2:5.00-1.el5.rf set to be updated
    > ---> Package perl-Archive-Tar.noarch 0:1.56-1.el5.rf set to be updated
    > --> Processing Dependency: perl(Package::Constants) for package: perl-Archive-Tar
    > ---> Package perl-BSD-Resource.i386 0:1.2903-1.el5.rf set to be updated
    > ---> Package perl-Convert-ASN1.noarch 0:0.22-1.el5.rf set to be updated
    > ---> Package perl-DBD-Pg.i386 0:2.16.1-1.el5.rf set to be updated
    > --> Processing Dependency: perl(version) for package: perl-DBD-Pg
    > ---> Package perl-DBD-mysql.i386 0:4.013-1.el5.rf set to be updated
    > --> Processing Dependency: libmysqlclient.so.15(libmysqlclient_15) for package: perl-DBD-mysql
    > --> Processing Dependency: libmysqlclient.so.15 for package: perl-DBD-mysql
    > ---> Package perl-DBI.i386 0:1.609-1.el5.rf set to be updated
    > --> Processing Dependency: perl(RPC::PlClient) >= 0.2000 for package: perl-DBI
    > --> Processing Dependency: perl(RPC::PlServer) >= 0.2001 for package: perl-DBI
    > ---> Package perl-Digest-SHA1.i386 0:2.12-2.el5.rf set to be updated
    > ---> Package perl-HTML-Parser.i386 0:3.64-1.el5.rf set to be updated
    > ---> Package perl-HTML-Tagset.noarch 0:3.20-1.el5.rf set to be updated
    > ---> Package perl-IO-Socket-INET6.noarch 0:2.57-1.el5.rf set to be updated
    > ---> Package perl-IO-Socket-SSL.noarch 0:1.31-1.el5.rf set to be updated
    > ---> Package perl-IO-Zlib.noarch 0:1.10-1.el5.rf set to be updated
    > ---> Package perl-Net-DNS.i386 0:0.66-1.el5.rf set to be updated
    > --> Processing Dependency: perl(Digest::SHA) for package: perl-Net-DNS
    > ---> Package perl-Net-SSLeay.i386 0:1.36-1.el5.rf set to be updated
    > ---> Package perl-Socket6.i386 0:0.23-1.el5.rf set to be updated
    > ---> Package perl-XML-Parser.i386 0:2.36-1.el5.rf set to be updated
    > ---> Package perl-XML-Simple.noarch 0:2.18-1.el5.rf set to be updated
    > ---> Package perl-rrdtool.i386 0:1.4.2-1.el5.rf set to be updated
    > ---> Package rrdtool.i386 0:1.4.2-1.el5.rf set to be updated
    > --> Processing Dependency: ruby for package: rrdtool
    > --> Processing Dependency: xorg-x11-fonts-Type1 for package: rrdtool
    > ---> Package rsync.i386 0:3.0.7-1.el5.rf set to be updated
    > ---> Package syslinux.i386 0:3.86-1.el5.rf set to be updated
    > --> Processing Dependency: perl(Crypt::PasswdMD5) for package: syslinux
    > --> Running transaction check
    > ---> Package perl-Crypt-PasswdMD5.noarch 0:1.3-1.2.el5.rf set to be updated
    > ---> Package perl-DBD-mysql.i386 0:4.013-1.el5.rf set to be updated
    > --> Processing Dependency: libmysqlclient.so.15(libmysqlclient_15) for package: perl-DBD-mysql
    > --> Processing Dependency: libmysqlclient.so.15 for package: perl-DBD-mysql
    > ---> Package perl-Digest-SHA.i386 0:5.48-1.el5.rf set to be updated
    > ---> Package perl-Package-Constants.noarch 0:0.02-1.el5.rf set to be updated
    > ---> Package perl-PlRPC.noarch 0:0.2020-1.el5.rf set to be updated
    > --> Processing Dependency: perl(Net::Daemon) for package: perl-PlRPC
    > --> Processing Dependency: perl(Net::Daemon::Log) for package: perl-PlRPC
    > --> Processing Dependency: perl(Net::Daemon::Test) for package: perl-PlRPC
    > ---> Package perl-version.i386 0:0.76-1.el5.rf set to be updated
    > ---> Package rrdtool.i386 0:1.4.2-1.el5.rf set to be updated
    > --> Processing Dependency: ruby for package: rrdtool
    > ---> Package xorg-x11-fonts-Type1.noarch 0:7.1-2.1.el5 set to be updated
    > --> Running transaction check
    > ---> Package perl-DBD-mysql.i386 0:4.013-1.el5.rf set to be updated
    > --> Processing Dependency: libmysqlclient.so.15(libmysqlclient_15) for package: perl-DBD-mysql
    > --> Processing Dependency: libmysqlclient.so.15 for package: perl-DBD-mysql
    > ---> Package perl-Net-Daemon.noarch 0:0.43-1.el5.rf set to be updated
    > ---> Package rrdtool.i386 0:1.4.2-1.el5.rf set to be updated
    > --> Processing Dependency: ruby for package: rrdtool
    > --> Finished Dependency Resolution
    > perl-DBD-mysql-4.013-1.el5.rf.i386 from rpmforge has depsolving problems
    > --> Missing Dependency: libmysqlclient.so.15 is needed by package perl-DBD-mysql-4.013-1.el5.rf.i386 (rpmforge)
    > perl-DBD-mysql-4.013-1.el5.rf.i386 from rpmforge has depsolving problems
    > --> Missing Dependency: libmysqlclient.so.15(libmysqlclient_15) is needed by package perl-DBD-mysql-4.013-1.el5.rf.i386 (rpmforge)
    > rrdtool-1.4.2-1.el5.rf.i386 from rpmforge has depsolving problems
    > --> Missing Dependency: ruby is needed by package rrdtool-1.4.2-1.el5.rf.i386 (rpmforge)
    > Error: Missing Dependency: libmysqlclient.so.15 is needed by package perl-DBD-mysql-4.013-1.el5.rf.i386 (rpmforge)
    > Error: Missing Dependency: ruby is needed by package rrdtool-1.4.2-1.el5.rf.i386 (rpmforge)
    > Error: Missing Dependency: libmysqlclient.so.15(libmysqlclient_15) is needed by package perl-DBD-mysql-4.013-1.el5.rf.i386 (rpmforge)
    > You could try using --skip-broken to work around the problem
    > You could try running: package-cleanup --problems
    > package-cleanup --dupes
    > rpm -Va --nofiles --nodigest
    > ...Done





    It s on CentOS 5.4 X32 which was working perfectly for over a year now.Can you please assist me in fixing this error?
     
  2. serlex

    serlex Well-Known Member

    Joined:
    Oct 20, 2009
    Messages:
    57
    Likes Received:
    0
    Trophy Points:
    6
    See if you are excluding mysql in /etc/yum.conf

    Code:
    exclude=apache* httpd* mod_* mysql* MySQL* da_* *ftp* exim* sendmail* php* bind-chroot*
    if so, remove the mysql bit or comment it out
     
  3. cPanelKenneth

    cPanelKenneth cPanel Development
    Staff Member

    Joined:
    Apr 7, 2006
    Messages:
    4,460
    Likes Received:
    22
    Trophy Points:
    38
    cPanel Access Level:
    Root Administrator
    Your system has some 3rd party RPMs installed via rpmforge. Because cPanel installs and manages Perl and MySQL related services we usually exclude those products from automatic yum updates.

    If nothing in your system depends upon perl-DBD-mysql you could remove it. That Perl module is installed from source when cPanel's MySQL RPM is installed.
     

Share This Page